# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="python library for jellyfin"
HOMEPAGE="https://github.com/jellyfin/jellyfin-apiclient-python"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://github.com/jellyfin/jellyfin-apiclient-python"
	inherit git-r3
	KEYWORDS="~amd64"
else
	SRC_URI="https://github.com/jellyfin/jellyfin-apiclient-python/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="amd64"
fi

RESTRICT="mirror test"

PATCHES=(
	"${FILESDIR}/set_build_backend.patch"
)

LICENSE="GPL-3"
SLOT="0"
IUSE=""

DEPEND="
dev-python/requests
dev-python/urllib3
dev-python/websocket-client
dev-python/certifi
"
RDEPEND="${DEPEND}"
BDEPEND=""
